Set delete search condition

- « TableDelete::orderby

- mysql_xdevapi\TableInsert »

- PHP Manual
- mysql_xdevapi\TableDelete
- Set delete search condition

# TableDelete::where

(No version information available, might only be in Git)

TableDelete::where — Set delete search condition

### Description

public mysql_xdevapi\TableDelete::where(string `$where_expr`): mysql_xdevapi\TableDelete

Sets the search condition to filter.

### Parameters

`where_expr`

  Define the search condition to filter documents or records.

### Return Values

TableDelete object.

### Examples

Example #1 mysql_xdevapi\TableDelete::where() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $table->delete()
      ->where("id = :id")
      ->bind(['id' => 42])
      ->limit(1)
      ->execute();

    ?>